## pmount 0.1

=== Makefile ===
LIBS=-lsysfs
CFLAGS=-Wall -W

pmount_OBJ = pmount.o policy.o
pumount_OBJ = pumount.o policy.o

all: pmount pumount

pmount: $(pmount_OBJ)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

pumount: $(pumount_OBJ)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: pmount pumount
	install -o root -g root -m 4755 -D ./pmount $(DESTDIR)/usr/bin/pmount
	install -o root -g root -m 4755 -D ./pumount $(DESTDIR)/usr/bin/pumount

clean:
	rm -f pmount pumount $(pmount_OBJ) $(pumount_OBJ)

policy.o: policy.h
pmount.o: policy.h
pumount.o: policy.h

## pmount 0.7.2

=== Makefile ===
LIBS=-lsysfs
CFLAGS?=-Wall -W -O2
HAL_CFLAGS=$(shell pkg-config hal --cflags)
HAL_LDFLAGS=$(shell pkg-config hal --libs)
PREFIX?=/usr/local

pmount_OBJ = pmount.o policy.o utils.o fs.o
pumount_OBJ = pumount.o policy.o utils.o
pmount_hal_OBJ = pmount-hal.o policy.o utils.o

all: pmount pumount pmount-hal

pmount: $(pmount_OBJ)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

pumount: $(pumount_OBJ)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

pmount-hal.o: pmount-hal.c
	$(CC) -c $(CFLAGS) $(HAL_CFLAGS) $<

pmount-hal: $(pmount_hal_OBJ)
	$(CC) $(LDFLAGS) $(HAL_LDFLAGS) $^ $(LIBS) -o $@

install: all install-mo
	install -o root -g root -m 4755 -D ./pmount $(DESTDIR)/$(PREFIX)/bin/pmount
	install -o root -g root -m 4755 -D ./pumount $(DESTDIR)/$(PREFIX)/bin/pumount
	install -o root -g root -m 755 -D ./pmount-hal $(DESTDIR)/$(PREFIX)/bin/pmount-hal
	install -o root -g root -m 644 -D ./pmount.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pmount.1
	install -o root -g root -m 644 -D ./pumount.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pumount.1
	install -o root -g root -m 644 -D ./pmount-hal.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pmount-hal.1

uninstall: uninstall-mo
	rm -f $(DESTDIR)/$(PREFIX)/bin/pmount $(DESTDIR)/$(PREFIX)/bin/pumount $(DESTDIR)/$(PREFIX)/bin/pmount-hal
	rm -f $(DESTDIR)/$(PREFIX)/share/man/man1/pmount.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pumount.1 
	rm -f $(DESTDIR)/$(PREFIX)/share/man/man1/pmount-hal.1

install-mo:
	for f in po/*.po; do P="$(DESTDIR)/$(PREFIX)/share/locale/$$(basename $${f%.po})/LC_MESSAGES/"; mkdir -p "$$P"; msgfmt -o "$$P/pmount.mo" $$f; done

uninstall-mo:
	for f in po/*.po; do P="$(DESTDIR)/$(PREFIX)/share/locale/$$(basename $${f%.po})/LC_MESSAGES/"; rm -f "$$P/pmount.mo"; rmdir -p --ignore-fail-on-non-empty "$$P"; done

clean:
	rm -f pmount pumount pmount-hal $(pmount_OBJ) $(pumount_OBJ) $(pmount_hal_OBJ)

updatepo:
	xgettext -k_ -o po/template.pot --copyright-holder "Martin Pitt" --msgid-bugs-address="martin.pitt@canonical.com" *.c
	for f in po/*.po; do echo -n "updating $$f "; msgmerge -U $$f po/template.pot; done

# dependencies
policy.o: policy.h utils.h
pmount.o: policy.h utils.h fs.h
pumount.o: policy.h utils.h
utils.o: utils.h
fs.o: fs.h
pmount-hal.o: policy.h

## pmount 0.8

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	install -o root -g root -m 644 -D ./pmount.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pmount.1
 	install -o root -g root -m 644 -D ./pumount.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pumount.1
 	install -o root -g root -m 644 -D ./pmount-hal.1 $(DESTDIR)/$(PREFIX)/share/man/man1/pmount-hal.1
+	install -o root -g root -m 644 -D ./pmount.allow $(DESTDIR)/etc/pmount.allow
 
 uninstall: uninstall-mo
 	rm -f $(DESTDIR)/$(PREFIX)/bin/pmount $(DESTDIR)/$(PREFIX)/bin/pumount $(DESTDIR)/$(PREFIX)/bin/pmount-hal
@@ -45,8 +46,8 @@
 	rm -f pmount pumount pmount-hal $(pmount_OBJ) $(pumount_OBJ) $(pmount_hal_OBJ)
 
 updatepo:
-	xgettext -k_ -o po/template.pot --copyright-holder "Martin Pitt" --msgid-bugs-address="martin.pitt@canonical.com" *.c
-	for f in po/*.po; do echo -n "updating $$f "; msgmerge -U $$f po/template.pot; done
+	xgettext -k_ -o po/pmount.pot --copyright-holder "Martin Pitt" --msgid-bugs-address="martin.pitt@canonical.com" *.c
+	for f in po/*.po; do echo -n "updating $$f "; msgmerge -U $$f po/pmount.pot; done
 
 # dependencies
 policy.o: policy.h utils.h

## pmount 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,15 @@
 LIBS=-lsysfs
 CFLAGS?=-Wall -W -O2
-HAL_CFLAGS=$(shell pkg-config hal --cflags)
-HAL_LDFLAGS=$(shell pkg-config hal --libs)
+HAL_CFLAGS=$(shell pkg-config hal-storage --cflags)
+HAL_LDFLAGS=$(shell pkg-config hal-storage --libs)
+VERSION=$(shell head -n 1 CHANGES)
 PREFIX?=/usr/local
 
-pmount_OBJ = pmount.o policy.o utils.o fs.o
-pumount_OBJ = pumount.o policy.o utils.o
-pmount_hal_OBJ = pmount-hal.o policy.o utils.o
+pmount_OBJ = pmount.o policy.o utils.o fs.o luks.o
+pumount_OBJ = pumount.o policy.o utils.o luks.o
+pmount_hal_OBJ = pmount-hal.o policy.o utils.o fs.o
 
-all: pmount pumount pmount-hal
+all: pmount pumount pmount-hal po/pmount.pot
 
 pmount: $(pmount_OBJ)
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
@@ -43,16 +44,23 @@
 	for f in po/*.po; do P="$(DESTDIR)/$(PREFIX)/share/locale/$$(basename $${f%.po})/LC_MESSAGES/"; rm -f "$$P/pmount.mo"; rmdir -p --ignore-fail-on-non-empty "$$P"; done
 
 clean:
-	rm -f pmount pumount pmount-hal $(pmount_OBJ) $(pumount_OBJ) $(pmount_hal_OBJ)
+	rm -f pmount pumount pmount-hal $(pmount_OBJ) $(pumount_OBJ) $(pmount_hal_OBJ) po/pmount.pot
 
-updatepo:
+po/pmount.pot:
 	xgettext -k_ -o po/pmount.pot --copyright-holder "Martin Pitt" --msgid-bugs-address="martin.pitt@canonical.com" *.c
+
+updatepo: po/pmount.pot
 	for f in po/*.po; do echo -n "updating $$f "; msgmerge -U $$f po/pmount.pot; done
+
+dist: clean
+	mkdir ../pmount-$(VERSION)
+	find -type f ! -path '*.bzr*' ! -name . | cpio -pd ../pmount-$(VERSION)
+	cd ..; tar cv pmount-$(VERSION) | gzip -9 > "pmount-$(VERSION).tar.gz"; rm -r pmount-$(VERSION)
 
 # dependencies
 policy.o: policy.h utils.h
-pmount.o: policy.h utils.h fs.h
-pumount.o: policy.h utils.h
+pmount.o: policy.h utils.h fs.h luks.h
+pumount.o: policy.h utils.h luks.h
 utils.o: utils.h
 fs.o: fs.h
 pmount-hal.o: policy.h

## pmount 0.9.20-1-0busybox

=== debian/changelog ===
pmount (0.9.20-1-0busybox) unstable; urgency=low
  * Removed unimplemented 'user' option from mount options

 -- Jonathan Schultz <jonathan@imatix.com>  Thu, 26 Nov 2010 13:57:29 +1100

pmount (0.9.20-1) unstable; urgency=low

  * Fix pmount completion for bash in the case of aliased ls. Thanks to 
    Daniel Dehennin <daniel.dehennin@baby-gnu.org> for reporting and
    providing the fix. (closes: #530360)
  * New upstream release, that fixes quite a few various bugs:
    - typo in manual page (closes: #520952), thanks to Peter Klotz
      <peter.klotz@aon.at> for reporting/fixing
    - pumount can now unmount devices that have gone missing, thanks to
      Michal Suchanek <hramrach@centrum.cz> for pointing the problem
      (closes: #541180).
    - pumount now severely discourages lazy unmounts, which somewhat 
      closes: #542755
  * Now conforms to standards 3.8.3
  
 -- Vincent Fourmond <fourmond@debian.org>  Fri, 11 Sep 2009 00:29:16 +0200

pmount (0.9.19-1) unstable; urgency=low

  * New upstream version:
    - whitelisted firewire devices (closes: #495458)
    - works with newer sysfs (closes: #516199)
    - follow symlinks in /etc/pmount.allow (closes: #507038)
  * Fix Vcs-git field, thanks to Daniel Moerner <dmoerner@gmail.com> 
    for spotting (closes: #512092)
  * Adding a forgotten file in debian/copyright + small details there
    as well.
  * Add bash completion, courtesy of Eduard Bloch <blade@debian.org>
    (closes: #517137)
  * Drop build-dep on libsysfs
  * Add a ${misc:Depends} dependency

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 02 Mar 2009 21:49:47 +0100

pmount (0.9.18-2) unstable; urgency=medium

  * Adding Vcs-* fields
  * Updated debian/copyright with new location of download files
    (closes: #504589)
  * Urgency medium to fix a trivial RC bug in testing.

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 05 Nov 2008 19:53:20 +0100

pmount (0.9.18-1) unstable; urgency=low

  * New 'upstream' release:
    - norwegian translation renamed (closes: #501302)
    - fixes VFAT and UTF8 problems (closes: #443514)
  * Adding a debian/README.source file to make it comply to
    Policy 3.8.0
  * Removing 10-finally-fix-fstab-devices, already applied upstream
  * Documenting patch 01-man-plugdev, to make pmount lintian-clean

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 18 Oct 2008 22:27:58 +0200

pmount (0.9.17-2) unstable; urgency=medium

  * Finally fix the problems with symlinks in fstab (closes: #435645), with
    patch 10-finally-fix-fstab-devices
  * Urgency medium to fix RC bug in testing

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 11 Feb 2008 21:50:05 +0100

pmount (0.9.17-1) unstable; urgency=low

  * New 'upstream' release:
    - dropping all patches, as they are included 'upstream'
    - now using libblkid for fs autodetection (Closes: #443575)
    - automatic detection and use of NTFS-3G (Closes: #455960)
    - pullling new translations from Rosetta
  * Bumped Standard Version to 3.7.3, with apparently no changes needed.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 30 Dec 2007 00:25:28 +0100

pmount (0.9.16-4) unstable; urgency=low

  * Revert 04-dont-resolve-fstab-symlinks, as it has very nasty
    side effects (Closes: #435645)
  * Now check twice if the device is in fstab: once before prepending
    /dev, once afterwards, so that #418888 stays closed !

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 16 Aug 2007 15:25:17 +0200

pmount (0.9.16-3) unstable; urgency=low

  * Don't check if pmount's argument is a fstab mountpoint if we
    do know it is a device (should Closes: #418203)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 17 Jul 2007 21:00:11 +0200

pmount (0.9.16-2) unstable; urgency=low

  * Disable symlink lookup for /etc/fstab entries, as it doesn't
    make much sense as mount itself doesn't do it. (Closes: #418888)

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 06 Jul 2007 19:49:23 +0200

pmount (0.9.16-1) unstable; urgency=low

  * New 'upstream release':
    - support for fmask/dmask (Closes: #344278, #431065), based on a
      patch by Suren A. Chilingaryan <csa@dside.dyndns.org>
    - better support for mounting by label/uuid (Closes: #328980)
    - now using nls=charset for NTFS (Closes: #398388)
    - pmount without arguments now lists the mounted removable
      devices, based on a patch by Dan Keder <keder@fi.muni.cz> 
      (Closes: #426879)
    - pmount now can mount NTFS fs via ntfsmount or ntfs-3g 
      (Closes: #375211)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 04 Jul 2007 00:22:39 +0200

pmount (0.9.15-1) unstable; urgency=low

  * New 'upstream' release:
    - Fixes problems with recent kernels (Closes: #411380, #411772)
    - better behavior with LUKS devices (Closes: #408673)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 27 Jun 2007 23:36:09 +0200

pmount (0.9.14-1) unstable; urgency=low

  * New 'upstream' release:
    - Fixes the case when /media is a symlink, thanks to
      Tim Phipps <tim@phipps-hutton.freeserve.co.uk> (Closes: 383929)
    - -p is now a shortcut for --passphrase (Closes: #386230)
    - document why pmount gives more error messages than
      mount -t auto (Closes: #388507)
  * Update FSF's address in debian/copyright

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 16 Jun 2007 14:54:28 +0200

pmount (0.9.13-4) unstable; urgency=low

  * Now using dpatch
  * Fix potential kernel panics with custom ext2/3 filsystems
    (closes: #427402)
  * Fixed typo in the help text (closes: #385153)

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 13 Jun 2007 23:27:36 +0200

pmount (0.9.13-3) unstable; urgency=low

  * New maintainer (closes: #422005)
  * Added debian/watch with new alioth project files
  * Bumped Standards-Version to 3.7.2, no changes

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 12 Jun 2007 20:33:20 +0200

pmount (0.9.13-2) unstable; urgency=low

  * Orphan package (see #422005)

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 May 2007 15:44:07 +0200



=== debian/control ===
Source: pmount
Section: utils
Priority: optional
Maintainer: Vincent Fourmond <fourmond@debian.org>
Build-Depends: cdbs, debhelper (>= 4.1.0),
 libhal-dev (>= 0.5.2), libhal-storage-dev (>= 0.5.2), 
 intltool, dpatch, libblkid-dev, libuuid1
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pmount/pmount-debian.git
Vcs-Browser: http://git.debian.org/?p=pmount/pmount-debian.git

Package: pmount
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hal, cryptsetup (>= 1.0)
Description: mount removable devices as normal user
 pmount is a wrapper around the standard mount program which permits normal
 users to mount removable devices without a matching /etc/fstab entry. This
 provides a robust basis for automounting frameworks like GNOME's Utopia
 project and confines the amount of code that runs as root to a minimum.
 .
 This package also contains a wrapper "pmount-hal" which reads some
 information like device labels and mount options from hal and passes
 them to pmount. Install the package "hal" if you want to use this
 feature.
 .
 If a LUKS capable cryptsetup package is installed, pmount is able to
 transparently mount encrypted volumes.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/dpatch.mk

common-post-build-arch::
	# Generate a POT file
	cd po; intltool-update -p --verbose

## pmount 0.9.23

=== debian/changelog ===
pmount (0.9.23-9) unstable; urgency=low

  * Team upload, salsa debian namespace.

  [ Florian Weimer ]
  * C99 compatibility fixes for pmount (closes: #1025973)

  [ Eduard Bloch ]
  * Probe for further filesystems as alternatives:
    - btrfs (closes: #596456)
    - f2fs (closes: #989252)
  * Drop fuse-specific 'quiet' flag from the regular mount options on exfat
    (thanks to Jakub Wilk, closes: #1098216)
  * Patch to use bitlkOpen similarly to luksOpen to handle Bitlocker volumes
    (closes: #1018695)

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Mar 2025 10:31:59 +0100

pmount (0.9.23-8) unstable; urgency=medium

  * Team upload, salsa debian namespace.

  [ Roland Kaufmann ]
  * Support mounting exFAT filesystems

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 02 Jan 2025 03:16:13 +0100

pmount (0.9.23-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066515).

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 15 Mar 2024 23:43:49 +0500

pmount (0.9.23-7) unstable; urgency=medium

  * New maintainer. Closes: #689854
  * Add missing license for GPL-2.
  * Add Dominik Szmek <minikdo@riseup.net> as copyright holder for debian/*.
  * Fix a typo in debian/conrol Homepage field.
  * Bump a Standards-Version to use 4.6.2. No changes were required.

 -- Dominik Szmek <minikdo@riseup.net>  Thu, 14 Sep 2023 13:28:36 +0530

pmount (0.9.23-6) unstable; urgency=medium

  * QA upload.
  * debian/control: added the Vcs-* fields and URLs of the salsa.debian.org.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Jair Reis <jmsrdebian@protonmail.com>  Thu, 11 Jun 2020 21:23:11 -0300

pmount (0.9.23-5) unstable; urgency=medium

  * QA upload.
  * debian/control: added the field Homepage.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Update all data.
  * debian/patches/01-man-plugdev.diff: added the 'Authors' and
    'Last-Update' fields.
  * debian/patches/10_fix-spelling-binary-errors.patch: created to fix some
    spelling errors.
  * debian/patches/20_fix-spelling-manpage-error.patch: created to fix
    spelling error.
  * debian/pmount.install: updated to fix the lintian
    package-installs-into-obsolete-dir.
  * debian/tests/control: added 'needs-root' to Restriction field.
    (Closes: #961705)

 -- Jair Reis <jmsrdebian@protonmail.com>  Thu, 04 Jun 2020 08:04:42 -0300

pmount (0.9.23-4) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * Set Debian QA Group as maintainer. (see #689854)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: binary-targets' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Removed no longer needed build dependency on dh_autoreconf.
  * debian/rules:
      - Added the variable DEB_BUILD_MAINT_OPTIONS to
        improve the hardening.
      - Removed '--with autoreconf' because it is default in the
        DH 10.
  * debian/tests/control: created to perform trivial CI test.
  * debian/watch:
      - Bumped to version 4.
      - Updated the upstream release site URL.

 -- Jair Reis <jmsrdebian@protonmail.com>  Tue, 19 May 2020 16:54:52 -0300

pmount (0.9.23-3) unstable; urgency=low

  * Use dh-autoreconf at build time (closes: #727943, #744493)
  * Conforms to standards 3.9.5
  * Use dh compatibility level of 9 to enable hardened builds (closes:
    #664501)
  * Add bash completion for mounted paths in pumount (closes: #678713).
    Thanks to Aaron Small <a.small@unb.ca> for the patch.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 18 May 2014 10:03:13 +0200

pmount (0.9.23-2) unstable; urgency=low

  * Updating bash completion, based on a patch by
    Eduard Bloch <edi@gmx.de>
  * Dropped debian/README.source, long ago pointless
  * Switched to dh 7 debian/rules.
  * It seems pmount already conforms to standards 3.9.1
  * Drop hal support, as hal is obsolescent (closes: #612794)
    - that also means that all pmount-hal related problems are now gone
      (closes: #385238, #580179, #379799)
    - document the reasons in debian/NEWS
  * Disable dh_auto_test as it shows some files were forgotten while
    building the original tarball...

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 11 Feb 2011 00:56:16 +0100

pmount (0.9.23-1) unstable; urgency=high

  * New upstream release
  * Fixes security issue CVE-2010-2192, a security hole by which allowed
    any user to use a symlink attack to create empty root-owned files and
    to remove any file with a numeric name.
  * Urgency high to fix security hole in testing

 -- Vincent Fourmond <fourmond@debian.org>  Wed, 16 Jun 2010 01:30:06 +0200

pmount (0.9.22-1) unstable; urgency=low

  * New upstream release, that now correctly luksClose luksOpened devices
    at pumount time.
  * Now dropping dpatch, as we have switched to format 3.0 (quilt)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 11 May 2010 23:51:25 +0200

pmount (0.9.21-1) unstable; urgency=low

  * New (small) upstream release:
    - provides support for ext4; dropping 10-ext4fs (closes: #571739)
    - now switches to ruid = euid = 0 when calling cryptsetup, which a
      necessary hack for cryptsetup breakage; dropping 15-cryptsetup-rroot
      (closes: #551540)
  * Switching to format 3.0 (quilt)
  * Now conforms to standards 3.8.4

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 04 May 2010 23:07:16 +0200

pmount (0.9.20-3) experimental; urgency=low

  * Experimental and possibly unsafe attempt at addressing bug #551540. Do
    not use yet on machines where security is a real concern.

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 25 Oct 2009 00:24:19 +0200

pmount (0.9.20-2) unstable; urgency=low

  * Pull commit 804eb6da31801c2f from upstream to (finally) include


=== debian/control ===
Source: pmount
Section: utils
Priority: optional
Maintainer: Dominik Szmek <minikdo@riseup.net>
Build-Depends: debhelper-compat (= 13),
               intltool,
               libblkid-dev,
               libglib2.0-dev
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: https://alioth-archive.debian.org/releases/pmount/pmount
Vcs-Browser: https://salsa.debian.org/debian/pmount
Vcs-Git: https://salsa.debian.org/debian/pmount.git

Package: pmount
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cryptsetup (>= 2:2.3.1)
Description: mount removable devices as normal user
 pmount is a wrapper around the standard mount program which permits normal
 users to mount removable devices without a matching /etc/fstab entry. This
 provides a robust basis for automounting frameworks like GNOME's Utopia
 project and confines the amount of code that runs as root to a minimum.
 .
 If a cryptsetup package with LUKS or BitLocker support is installed,
 pmount can transparently mount such encrypted volumes.

=== debian/tests/control ===
Test-Command: pmount -h
Restrictions: needs-root, superficial

=== debian/watch ===
version=4
https://alioth-archive.debian.org/releases/pmount/pmount/([\d\.\-a-z]+)/pmount-([\d\.\-a-z]+)

## pmount 0.9.99-alpha

=== debian/changelog ===
pmount (0.9.99-alpha-1) experimental; urgency=low

  * New upstream experimental release, bringing in a lot of new features:
    - fscking (closes: #513431, #488627, #542779, since all of these bugs,
      though different, come from the impossibility to run fsck on a
      filesystem before mounting)
    - now by default forbidding mounts by users not physically logged in, 
      which prevents mount races (closes: #431286)
    - whitelisting firewire (closes: #616019)
    - checking the sanity of the target device before attempting to mount
      it, which in particular prevents long errors with a 'no medium found'
      error (closes: #615979)
    - finally opening the possibility to mount user images through loop 
      devices (closes: #373580)
  * Added a news entry about the new configuration file
  * Update watchfile to accept -alpha in the release number

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 25 Mar 2011 20:03:07 +0100

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://alioth.debian.org/frs/?group_id=31157 .*pmount-(\d[\w.-]*)\.t.*
